package com.ruoyi.project.training.bccnew.service;

import java.util.List;
import com.ruoyi.project.training.bccnew.domain.TTsLjplan;

/**
 * 裂解培训Service接口
 * 
 * @author ssy
 * @date 2024-06-13
 */
public interface ITTsLjplanService 
{
    /**
     * 查询裂解培训
     * 
     * @param id 裂解培训ID
     * @return 裂解培训
     */
    public TTsLjplan selectTTsLjplanById(Long id);

    /**
     * 查询裂解培训列表
     * 
     * @param tTsLjplan 裂解培训
     * @return 裂解培训集合
     */
    public List<TTsLjplan> selectTTsLjplanList(TTsLjplan tTsLjplan);
    public List<TTsLjplan> selectTTsLjplanListByNewId(TTsLjplan tTsLjplan);

    /**
     * 新增裂解培训
     * 
     * @param tTsLjplan 裂解培训
     * @return 结果
     */
    public int insertTTsLjplan(TTsLjplan tTsLjplan);

    /**
     * 修改裂解培训
     * 
     * @param tTsLjplan 裂解培训
     * @return 结果
     */
    public int updateTTsLjplan(TTsLjplan tTsLjplan);

    /**
     * 批量删除裂解培训
     * 
     * @param ids 需要删除的裂解培训ID
     * @return 结果
     */
    public int deleteTTsLjplanByIds(Long[] ids);

    /**
     * 删除裂解培训信息
     * 
     * @param id 裂解培训ID
     * @return 结果
     */
    public int deleteTTsLjplanById(Long id);
}
